package io.scanbot.barcode.sdk.flutter

import com.google.gson.JsonObject
import io.scanbot.sdk.barcode_scanner.ScanbotBarcodeScannerSDK
import java.text.SimpleDateFormat
import java.util.*

fun ScanbotBarcodeScannerSDK.getLicenseStatusJson(): JsonObject {
    val json = JsonObject()
    json.addProperty("isLicenseValid", licenseInfo.isValid)
    json.addProperty("status", licenseInfo.status.name)
    val time = licenseInfo.expirationDate?.time
    time?.let { date ->
        val sdf: SimpleDateFormat = SimpleDateFormat(
            "yyyy-MM-dd'T'HH:mm:ss.SSS",
            Locale.ENGLISH
        )
        sdf.timeZone = TimeZone.getTimeZone("UTC")
        json.addProperty("expirationDate", sdf.format(date))
    }
    val message = licenseInfo.licenseStatusMessage
    json.addProperty("message", message)
    return json
}
