//
//  SBSDKUIBarcodesBatchScannerConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIBarcodesBatchScannerConfiguration {
    convenience init(from dictionary: [String: Any], codes: [SBSDKBarcodeType], documentTypes: [SBSDKBarcodeDocumentType]) {
        let uiConfig = SBSDKUIBarcodesBatchScannerUIConfiguration(from: dictionary)
        let textConfig = SBSDKUIBarcodesBatchScannerTextConfiguration(from: dictionary)
        let behaviourConfig = SBSDKUIBarcodesBatchScannerBehaviorConfiguration(from: dictionary)
        let cameraConfig = SBSDKUICameraConfiguration()
        
        behaviourConfig.acceptedMachineCodeTypes = codes
        behaviourConfig.acceptedDocumentTypes = documentTypes
        
        self.init(uiConfiguration: uiConfig, textConfiguration: textConfig, behaviorConfiguration: behaviourConfig, cameraConfiguration: cameraConfig)
    }
}
