//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKUIBarcodeScannerConfiguration {
    convenience init(from dictionary: [String: Any], barcodeTypes: [SBSDKBarcodeType], documentTypes: [SBSDKBarcodeDocumentType]) {
        let uiConfig = SBSDKUIBarcodeScannerUIConfiguration(from: dictionary)
        let textConfig = SBSDKUIBarcodeScannerTextConfiguration(from: dictionary)
        let behaviourConfig = SBSDKUIBarcodeScannerBehaviorConfiguration(from: dictionary)
        let cameraConfig = SBSDKUICameraConfiguration()
        
        behaviourConfig.acceptedDocumentTypes = documentTypes
        behaviourConfig.acceptedMachineCodeTypes = barcodeTypes
        
        self.init(uiConfiguration: uiConfig, textConfiguration: textConfig, behaviorConfiguration: behaviourConfig, cameraConfiguration: cameraConfig)
    }
}
