//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

struct LicenseStatus {
    let isLicenseValid: Bool
    let status: dooLicenseStatus
    let expirationDate: Date?
    
    var encodedString: String? {
        var dictionary: [String: Any?] = ["isLicenseValid": self.isLicenseValid, "status": self.status.stringName]
        if let date = self.expirationDate {
            let formatter = DateFormatter()
            formatter.timeZone = TimeZone(abbreviation: "UTC")
            formatter.dateFormat = "YYYY-MM-dd HH:mm:ss"
            formatter.locale = Locale(identifier: "en_EN")
            let dateString = formatter.string(from: date)
            dictionary["expirationDate"] = dateString
        }
        return dictionary.encodedString
    }
}
