//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Flutter
import UIKit

public class SwiftScanbotBarcodeSdkPlugin: NSObject, FlutterPlugin {
    
    private let callHandler = SDKCallHandler()
    
    public static func register(with registrar: FlutterPluginRegistrar) {
        let instance = SwiftScanbotBarcodeSdkPlugin()
        
        let channel = FlutterMethodChannel(name: "barcode_scanner", binaryMessenger: registrar.messenger())
        registrar.addMethodCallDelegate(instance, channel: channel)
        
        let dataChannel = FlutterMethodChannel(name: "batch_barcode_data_mapper", binaryMessenger: registrar.messenger())
        instance.callHandler.dataFormatterChannel = dataChannel
        registrar.addMethodCallDelegate(instance, channel: dataChannel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        let presenter = UIApplication.shared.windows.first?.rootViewController?.topViewController
        self.callHandler.handle(call: call, rootViewController: presenter, result: result)
    }
}
