import 'package:json_annotation/json_annotation.dart';

part 'common_data.g.dart';

///Scanner camerа orientations
enum CameraOrientationMode { NONE, PORTRAIT, LANDSCAPE }

///Standart result status
enum OperationResult { SUCCESS, ERROR, CANCELED }

///Camera view  fill screen modes
enum CameraPreviewMode { FIT_IN, FILL_IN }

///Parent result class for ready to use components return data
class Result {
  ///Standart result status
  @JsonKey(ignore: true)
  OperationResult operationResult = OperationResult.SUCCESS;

  ///Message with description of returned result, for example, error message
  String? message;

  Result();
}

@JsonSerializable(includeIfNull: false, explicitToJson: true)
class FinderInsets {
  /// Pixel for the finder window from the left.
  final double? left;

  /// Pixel for the finder window from the top.
  final double? top;

  /// Pixel for the finder window from the bottom.
  final double? bottom;

  /// Pixel for the finder window from the right.
  final double? right;

  const FinderInsets({this.left, this.top, this.bottom, this.right});

  factory FinderInsets.fromJson(Map<String, dynamic> json) =>
      _$FinderInsetsFromJson(json);

  Map<String, dynamic> toJson() => _$FinderInsetsToJson(this);
}
